package cd.casic.ci.commons.commonapi.enums;

import cd.casic.ci.commons.commonapi.enums.RepositoryType;

public enum TriggerRepositoryType {
    ID,
    NAME,
    SELF,
    NONE;  // 触发器不需要绑定代码库,如定时触发默认时,不需要绑定

    public static RepositoryType toRepositoryType(TriggerRepositoryType type) {
        if (type == null) {
            return null;
        }
        switch (type) {
            case ID:
            case SELF:
                return RepositoryType.ID;
            case NAME:
                return RepositoryType.NAME;
            default:
                return null;
        }
    }
}