package cd.casic.ci.commons.commonapi.pojo;

import cd.casic.ci.commons.commonapi.enums.SystemModuleEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "DB分片路由规则")
public class ShardingRoutingRule {
    @Schema(title = "集群名称")
    private String clusterName;

    @Schema(title = "模块标识")
    private SystemModuleEnum moduleCode;

    @Schema(title = "数据源名称")
    private String dataSourceName;

    @Schema(title = "数据库表名称")
    private String tableName;

    @Schema(title = "规则类型")
    private ShardingRuleTypeEnum type;

    @Schema(title = "路由规则名称")
    private String routingName;

    @Schema(title = "路由规则值")
    private String routingRule;
}