package cd.casic.ci.commons.commonapi.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "返回码详情")
public class MessageCodeDetail {
    @Schema(title = "主键ID", required = true)
    private String id;

    @Schema(title = "信息码", required = true)
    private String messageCode;

    @Schema(title = "模块代码", required = true)
    private String moduleCode;

    @Schema(title = "中文简体描述信息", required = true)
    private String messageDetailZhCn;

    @Schema(title = "中文繁体描述信息", required = false)
    private String messageDetailZhTw;

    @Schema(title = "英文描述信息", required = false)
    private String messageDetailEn;
} 