package cd.casic.ci.commons.commonapi.pojo;

public enum OS {
    MACOS,
    WINDOWS,
    LINUX;

    public static OS parse(String os) {
        // 处理传入的字符串为 null 的情况
        if (os == null) {
            return null;
        }
        // 将传入的字符串转换为大写，以避免大小写问题
        String upperCaseOs = os.toUpperCase();
        OS result = null;
        switch (upperCaseOs) {
            case "MACOS":
                result = MACOS;
                break;
            case "WINDOWS":
                result = WINDOWS;
                break;
            case "LINUX":
                result = LINUX;
                break;
            default:
                result = null;
        }
        return result;
    }
}